# TdApi.PageBlockMap (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: PageBlockMap

Package it.tdlight.jni

# Class TdApi.PageBlockMap

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PageBlock
it.tdlight.jni.TdApi.PageBlockMap

Enclosing class:
  TdApi

    public static class TdApi.PageBlockMap
    extends TdApi.PageBlock

A map.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`TdApi.PageBlockCaption` | `caption` | Block caption.
`static int` | `CONSTRUCTOR` |
`int` | `height` | Map height.
`TdApi.Location` | `location` | Location of the map center.
`int` | `width` | Map width.
`int` | `zoom` | Map zoom level.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PageBlockMap()` | A map.
`PageBlockMap​(TdApi.Location location, int zoom, int width, int height, TdApi.PageBlockCaption caption)` | A map.
`PageBlockMap​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### location

public TdApi.Location location
Location of the map center.

### zoom

public int zoom
Map zoom level.

### width

public int width
Map width.

### height

public int height
Map height.

### caption

public TdApi.PageBlockCaption caption
Block caption.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### PageBlockMap

public PageBlockMap()
A map.

### PageBlockMap

public PageBlockMap​(TdApi.Location location, int zoom, int width, int height, TdApi.PageBlockCaption caption)
A map.

Parameters:
  `location` - Location Location of the map center.
  `zoom` - int Map zoom level.
  `width` - int Map width.
  `height` - int Map height.
  `caption` - PageBlockCaption Block caption.

### PageBlockMap

public PageBlockMap​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`